diff -ru ./nagios-plugins-1.3.1.orig/plugins/check_by_ssh.c ./nagios-plugins-1.3.1/plugins/check_by_ssh.c
--- ./nagios-plugins-1.3.1.orig/plugins/check_by_ssh.c  2003-01-29 00:15:32.000000000 -0600
+++ ./nagios-plugins-1.3.1/plugins/check_by_ssh.c       2004-06-17 16:01:04.000000000 -0500
@@ -33,6 +33,7 @@
 #include "popen.h"
 #include "utils.h"
 #include <time.h>
+#include <string.h>
 
 int process_arguments (int, char **);
 int validate_arguments (void);
@@ -57,6 +58,8 @@
 {
 
     char input_buffer[MAX_INPUT_BUFFER] = "";
+    char first_banner_line[] = "******************************** N O T I C E *********************************";
+    char last_banner_line[] = "******************************************************************************";
     char *result_text = "";
     char *status_text;
     char *output = "";
@@ -65,6 +68,7 @@
     char *srvc_desc = NULL;
     int cresult;
     int result = STATE_UNKNOWN;
+    int in_banner = 0;
     time_t local_time;
     FILE *fp = NULL;
 
@@ -103,14 +107,35 @@
 
 
     /* get results from remote command */
-    while (fgets (input_buffer, MAX_INPUT_BUFFER - 1, child_process))
-     asprintf (&result_text, "%s%s", result_text, input_buffer);
+    in_banner = 0;
+    while (fgets (input_buffer, MAX_INPUT_BUFFER - 1, child_process)) {
+     if (strstr(input_buffer, first_banner_line) != NULL) {
+       in_banner = 1;
+     }
+     else if (strstr(input_buffer, last_banner_line) != NULL) {
+       in_banner = 0;
+       continue;
+     }
+     if (!in_banner) {
+       asprintf (&result_text, "%s%s", result_text, input_buffer);
+     }
+    }
 
 
     /* WARNING if output found on stderr */
-    if (fgets (input_buffer, MAX_INPUT_BUFFER - 1, child_stderr)) {
-     printf ("%s\n", input_buffer);
-     return STATE_WARNING;
+    in_banner = 0;
+    while (fgets (input_buffer, MAX_INPUT_BUFFER - 1, child_stderr)) {
+     if (strstr(input_buffer, first_banner_line) != NULL) {
+       in_banner = 1;
+     }
+     else if (strstr(input_buffer, last_banner_line) != NULL) {
+       in_banner = 0;
+       continue;
+     }
+     if (!in_banner) {
+       printf ("%s\n", input_buffer);
+       return STATE_WARNING;
+     }
     }
     (void) fclose (child_stderr);

